Bug 163758 - [iOS] _webViewWillEndNavigationGesture:withNavigationToBackForwardListItem: is never called
Summary: [iOS] _webViewWillEndNavigationGesture:withNavigationToBackForwardListItem: i...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: mitz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-20 14:04 PDT by mitz
Modified: 2016-10-22 00:26 PDT (History)
1 user (show)

See Also:


Attachments
Don't reset the update handler (1.51 KB, patch)
2016-10-21 20:43 PDT, mitz
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mitz 2016-10-20 14:04:16 PDT
Because ViewGestureControllerIOS.mm’s implementation of ViewGestureController::beginSwipeGesture sets the transition context’s interactive update handler to the empty block right after setting it to the block that calls navigationGestureWillEnd(), the latter never gets called.
Comment 1 mitz 2016-10-21 20:43:15 PDT
Created attachment 292452 [details]
Don't reset the update handler
Comment 2 mitz 2016-10-22 00:26:25 PDT
Fixed in <https://trac.webkit.org/r207709>.